<template>
   <div class="container mx-auto p-1.5 ">
    <h1 class="mx-auto text-center text-2xl font-extrabold tracking-tight leading-none text-gray-900  dark:text-white p-4">
          EVALUACIONES ASIGNATURA LENGUAJE</h1>
    <table class="table mx-auto w-3/4 p-1.5">
        <!-- head -->
        <thead>
        <tr>
            <th>Id</th>
            <th>Descripcion</th>
            <th>Fecha</th>
            <th>Nota</th>
            <th>Ponderacion</th>
        </tr>
        </thead>
        <tbody>
        <!-- row 1 -->
        <tr>
            <th>1</th>
            <td>Prueba</td>
            <td>01/09/2022</td>
            <td>70</td>
            <td>15%</td>
        </tr>
        </tbody>
    </table>

    <div class = "flex flex-row">
        <div class = "chart-container">
            <canvas id="myChart" width="400" height="400"></canvas>
        </div>
        <div class="texto">
            <h5>1. Mi nota = 70</h5>
            <h5>2. Nota maxima = 70</h5>
            <h5>3. Nota minima = 20</h5>
            <h5>4. Promedio = 45</h5>
        </div>
    </div>

    <table class="table mx-auto w-3/4 p-1.5">
        <!-- head -->
        <thead>
        <tr>
            <th>Id</th>
            <th>Descripcion</th>
            <th>Fecha</th>
            <th>Nota</th>
            <th>Ponderacion</th>
        </tr>
        </thead>
        <tbody>
        <!-- row 1 -->
        <tr>
            <th>2</th>
            <td>Prueba</td>
            <td>21/09/2022</td>
            <td>50</td>
            <td>15%</td>
        </tr>
        </tbody>
    </table>

    <div class = "flex flex-row">
        <div class = "chart-container">
            <canvas id="myChart2" width="400" height="400"></canvas>
        </div>
        <div class="texto">
            <h5>1. Mi nota = 50</h5>
            <h5>2. Nota maxima = 70</h5>
            <h5>3. Nota minima = 20</h5>
            <h5>4. Promedio = 47</h5>
        </div>
    </div>

</div>
</template>
<script>
import Chart from "chart.js/auto";
export default {

    mounted() {
        const ctx = document.getElementById("myChart");

        const ctx2 = document.getElementById("myChart2");

        const myChart = new Chart(ctx, {
            type: 'bar',
            data: {
                labels: ['1', '2', '3', '4'],
                datasets: [{
                    label: 'Nota Ev 1',
                    data: [70, 70, 20, 45],
                    backgroundColor: [
                        'rgba(255, 99, 132, 0.2)',
                        'rgba(54, 162, 235, 0.2)',
                        'rgba(255, 206, 86, 0.2)',
                        'rgba(75, 192, 192, 0.2)',
                    ],
                    borderColor: [
                        'rgba(255, 99, 132, 1)',
                        'rgba(54, 162, 235, 1)',
                        'rgba(255, 206, 86, 1)',
                        'rgba(75, 192, 192, 1)',
                    ],
                    borderWidth: 1
                }]
            },
            options: {
                responsive: true,
                maintainAspectRatio: false,

                scales: {
                    y: {
                        beginAtZero: true
                    }
                }
            }
        });

        const myChart2 = new Chart(ctx2, {
            type: 'bar',
            data: {
                labels: ['1', '2', '3', '4'],
                datasets: [{
                    label: 'Nota Ev 2',
                    data: [50, 70, 20, 47],
                    backgroundColor: [
                        'rgba(255, 99, 132, 0.2)',
                        'rgba(54, 162, 235, 0.2)',
                        'rgba(255, 206, 86, 0.2)',
                        'rgba(75, 192, 192, 0.2)',
                    ],
                    borderColor: [
                        'rgba(255, 99, 132, 1)',
                        'rgba(54, 162, 235, 1)',
                        'rgba(255, 206, 86, 1)',
                        'rgba(75, 192, 192, 1)',
                    ],
                    borderWidth: 1
                }]
            },
            options: {
                responsive: true,
                maintainAspectRatio: false,

                scales: {
                    y: {
                        beginAtZero: true
                    }
                }
            }
        });



    }
}
     
</script>

<style scoped>


  .table {
    margin-right: 20 vw;
  }

  .chart-container{
    width: 800px;
    height: 250px;
    margin-bottom: 2vw;
  }
  canvas{
    margin: 0 auto;
    margin-left: 20vw;
  }
  .texto{
    margin-top: 2vw;
  }
</style>